import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconShapes as IconShapesClass } from "../../../../components/icon/icons/shapes.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconShapes = (props) => {
  IconShapesClass.define();
  const JSXElement = getReactComponent("gds-icon-shapes");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconShapes.displayName = "IconShapes";
export {
  IconShapes
};
